Search Results for

Show / Hide Table of Contents

# Delegate PluginManager.OnAnyPluginsStateChangedDelegate

A delegate representing a state change event for any plugin.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void OnAnyPluginsStateChangedDelegate(Task changeTask, IEnumerable<PluginMetadata> enabled, IEnumerable<PluginMetadata> disabled);

##### Parameters

Type | Name | Description
--- | --- | ---
Task | changeTask | the Task representing the change
IEnumerable<PluginMetadata> | enabled | the plugins that were enabled in the change
IEnumerable<PluginMetadata> | disabled | the plugins that were disabled in the change

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])